MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027691Open CASCADE[OCCT] OCCT:Testspublic2016-07-19 15:292017-09-29 16:29
Reporterapn 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0027691: Remove dchrono from all test cases and move its to perf group
DescriptionRemove using dchrono in test cases
Move cases in appropriate perf test subgroups
Compare performance of these cases using testdiff -cpu -memory with reference data.
Steps To Reproducetestgrid perf -outdir D:/results1
testgrid perf -outdir D:/results2
testdiff D:/results1 D:/results2 -cpu
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
parent of 0029004closedbugmaster DRAW - update help of chrono and dchrono commands 

-  Notes
(0056048)
abv (manager)
2016-07-20 12:22

Andrey, please do not focus on removing 'dchrono' -- this command is not a problem, the problem is comparing its result with hard-coded values as a check for test success.

A possible improvement of the test system can be to be able to measure particular parameter of the test (e.g. CPU of some command, measured by dchrono or otherwise) and make it recognizable for testdiff command, so that it can compare not only general CPU / MEMORY data of all tests, but also test-specific measures. We have discussed this need with Vladimir Turin when new test system was developed, but never implemented that. It can be a time now to do that.
(0056271)
git (administrator)
2016-07-28 18:12

Branch CR27691 has been created by apn.

SHA-1: 131ec6cd2f31f1772a3bf19d172a0ef862c5cb37


Detailed log of new commits:

Author: apn
Date: Thu Jul 28 18:12:42 2016 +0300

    0027691: Remove dchrono from all test cases and move its to perf group
    
    Remove performance comparing with hardcoded value.
    Test cases for performance of some commands were moved to perf group.
(0056272)
git (administrator)
2016-07-28 18:12

Branch CR27691 has been updated forcibly by apn.

SHA-1: f2edc5b5b34db65d3000ed40dcf2fcb633d959d1
(0056273)
git (administrator)
2016-07-28 18:22

Branch CR27691 has been updated by apn.

SHA-1: 41fa40c777cb2e050760390f75a010f762e74434


Detailed log of new commits:

Author: apn
Date: Thu Jul 28 18:23:46 2016 +0300

    Modified grids.list in perf test group

(0056367)
git (administrator)
2016-08-02 11:58

Branch CR27691 has been updated forcibly by apn.

SHA-1: e90b814b7f11c3dc1afdde93d7033ffe12635d53
(0056446)
git (administrator)
2016-08-03 18:42

Branch CR27691 has been updated by apn.

SHA-1: f35ac300e788db63f4aaa2e2bee0510806deeb4d


Detailed log of new commits:

Author: apn
Date: Wed Aug 3 18:43:47 2016 +0300

    Small corrections

(0056447)
apn (administrator)
2016-08-03 18:48
edited on: 2016-08-03 18:49

All cases with dchrono command were moved to appropriate perf subgroups.
If some command in test cases are measured by dchrono, testdiff parses output and compares CPU user time of command with the same value in reference branch.
Result is saved in general log\html file if testdiff has no arguments or in diffcpu log\html.

Dear abv, please review CR27691.

(0058077)
git (administrator)
2016-09-23 15:29

Branch CR27691_1 has been created by ski.

SHA-1: efc8b0320955cd593574faf44e0398d657981af0


Detailed log of new commits:

Author: apn
Date: Thu Jul 28 18:12:42 2016 +0300

    0027691: Remove dchrono from all test cases and move its to perf group
    
    Remove performance comparing with hardcoded value.
    Test cases for performance of some commands were moved to perf group.
    Procedure testdiffCPU was created.
(0062519)
git (administrator)
2017-01-12 11:19

Branch CR27691_2 has been created by ski.

SHA-1: ead5583fc4d2fd29f0ba705503b17605341cad96


Detailed log of new commits:

Author: ski
Date: Tue Jan 10 20:00:19 2017 +0300

    0027691: Remove dchrono from all test cases and move its to perf group
    
    Remove performance comparing with hardcoded value.
    Test cases for performance of some commands were moved to perf group.
(0062525)
git (administrator)
2017-01-12 12:40

Branch CR27691_2 has been updated forcibly by ski.

SHA-1: ee2b430e80eee798c402c98b560b8612acaf404b
(0062527)
ski (developer)
2017-01-12 13:22

Dear abv,

occt branch CR27691_2 contains next changes:

1) Commands dchrono/chrono can be used with next syntax
> dchrono s stop show
it will stop the timer and show info about elapsed time

2) New option "restart" was added to commands dchrono/chrono
> dchrono s restart
it is the same as
> dchrono s stop reset start
> dchrono s reset start

3) New option "counter text" was added to commands dchrono/chrono
> dchrono s counter text
with such option command dchrono will print "COUNTER text: N", where N is elapsed user CPU time.
Testdiff command will compare value of each counters between several tests results.

All test performance cases were moved to perf group.

Please, review.
(0062546)
git (administrator)
2017-01-12 17:54

Branch CR27691_2 has been updated by ski.

SHA-1: 5efb4193b1f67b201e3ad8b059e52b96ee1049b7


Detailed log of new commits:

Author: ski
Date: Thu Jan 12 17:53:49 2017 +0300

    Updated documentation.

(0062603)
git (administrator)
2017-01-16 07:11

Branch CR27691_2 has been updated by abv.

SHA-1: 9384467df2ed27cd1fc8a78747ea024567cfdaef


Detailed log of new commits:

Author: abv
Date: Mon Jan 16 07:11:35 2017 +0300

    // minor corrections

(0062662)
git (administrator)
2017-01-16 21:00

Branch CR27691_2 has been updated by abv.

SHA-1: 9bb02de5b6c9a2021c9fcd19dae24db15559867e


Detailed log of new commits:

Author: abv
Date: Mon Jan 16 21:00:33 2017 +0300

    // more details on counters added in tests.md

(0062670)
abv (manager)
2017-01-17 08:30

Reviewed with some corrections, please test
(0062760)
apv (tester)
2017-01-18 15:54

Dear BugMaster,

Branch CR27691_2 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 9bb02de5b6c9a2021c9fcd19dae24db15559867e

Number of compiler warnings:
occt component:
   Linux: 0 (0 on master)
   Windows: 0 (0 on master)
   MasOS: 0 (0 on master)
products component:
   Linux: 63
   Windows: 0
   MacOS: 1153

Regressions/Differences:
Not detected

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 89341028 / 89062940 [+0.31%]
Total CPU difference: 18600.519999999742 / 18962.369999999915 [-1.91%]

Testing on Windows:
Total MEMORY difference: 53703897 / 53715833 [-0.02%]
Total CPU difference: 17020.847907298783 / 17414.500830698835 [-2.26%]
(0063588)
git (administrator)
2017-02-08 11:35

Branch CR27691_2 has been deleted by kgv.

SHA-1: 9bb02de5b6c9a2021c9fcd19dae24db15559867e
(0063640)
git (administrator)
2017-02-08 11:40

Branch CR27691 has been deleted by kgv.

SHA-1: f35ac300e788db63f4aaa2e2bee0510806deeb4d
(0063641)
git (administrator)
2017-02-08 11:40

Branch CR27691_1 has been deleted by kgv.

SHA-1: efc8b0320955cd593574faf44e0398d657981af0
(0068921)
msv (developer)
2017-07-31 17:31

The commands chrono and dchrono have been updated but their help has not.
(0068922)
msv (developer)
2017-07-31 17:32

Please update help of these commands.
(0069463)
abv (manager)
2017-08-16 15:46

I have created separate issue, 0029004, to address note 0027691:0068922

- Related Changesets
occt: master 44fae8b1
Timestamp: 2017-01-19 13:31:17
Author: ski
Committer: apn
Details ] Diff ]
0027691: Remove dchrono from all test cases and move its to perf group

Remove performance comparing with hardcoded value.
Test cases for performance of some commands were moved to perf group.

Updated documentation.
mod - dox/dev_guides/tests/tests.md Diff ] File ]
mod - dox/user_guides/draw_test_harness/draw_test_harness.md Diff ] File ]
mod - src/Draw/Draw_BasicCommands.cxx Diff ] File ]
mod - src/DrawResources/TestCommands.tcl Diff ] File ]
mod - src/OSD/OSD_Chronometer.cxx Diff ] File ]
mod - src/OSD/OSD_Chronometer.hxx Diff ] File ]
mod - src/OSD/OSD_Timer.cxx Diff ] File ]
mod - src/OSD/OSD_Timer.hxx Diff ] File ]
rm - tests/boolean/bfuse_complex/Q3 Diff ] File ]
rm - tests/boolean/bsection/R6 Diff ] File ]
rm - tests/bugs/caf/bug1454 Diff ] File ]
rm - tests/bugs/caf/bug1454_std Diff ] File ]
rm - tests/bugs/caf/bug5023 Diff ] File ]
rm - tests/bugs/caf/bug5023_std Diff ] File ]
rm - tests/bugs/fclasses/bug25514 Diff ] File ]
rm - tests/bugs/heal/bug24596_1 Diff ] File ]
rm - tests/bugs/heal/bug24596_2 Diff ] File ]
rm - tests/bugs/heal/bug25424 Diff ] File ]
rm - tests/bugs/heal/bug26871 Diff ] File ]
rm - tests/bugs/mesh/bug24022 Diff ] File ]
rm - tests/bugs/mesh/bug24968_1 Diff ] File ]
rm - tests/bugs/mesh/bug24968_2 Diff ] File ]
rm - tests/bugs/modalg_1/bug19793_2 Diff ] File ]
rm - tests/bugs/modalg_2/bug452_1 Diff ] File ]
rm - tests/bugs/modalg_2/bug453_2 Diff ] File ]
rm - tests/bugs/modalg_4/bug83_1 Diff ] File ]
rm - tests/bugs/modalg_5/bug23906 Diff ] File ]
rm - tests/bugs/modalg_5/bug24005 Diff ] File ]
rm - tests/bugs/modalg_5/bug24696 Diff ] File ]
rm - tests/bugs/modalg_5/bug24751_1 Diff ] File ]
rm - tests/bugs/modalg_5/bug24751_2 Diff ] File ]
rm - tests/bugs/modalg_5/bug24751_3 Diff ] File ]
rm - tests/bugs/modalg_5/bug24751_4 Diff ] File ]
rm - tests/bugs/modalg_5/bug24751_5 Diff ] File ]
rm - tests/bugs/modalg_5/bug24899 Diff ] File ]
rm - tests/bugs/modalg_5/bug25019 Diff ] File ]
rm - tests/bugs/modalg_5/bug25058 Diff ] File ]
rm - tests/bugs/modalg_5/bug25413 Diff ] File ]
rm - tests/bugs/modalg_5/bug25742_1 Diff ] File ]
rm - tests/bugs/modalg_5/bug25788 Diff ] File ]
rm - tests/bugs/modalg_6/bug26327 Diff ] File ]
rm - tests/bugs/modalg_6/bug26447 Diff ] File ]
rm - tests/bugs/modalg_6/bug26674 Diff ] File ]
rm - tests/bugs/modalg_6/bug26914 Diff ] File ]
rm - tests/bugs/modalg_6/bug27085_1 Diff ] File ]
rm - tests/bugs/modalg_6/bug27085_2 Diff ] File ]
rm - tests/bugs/modalg_6/bug27569 Diff ] File ]
rm - tests/bugs/moddata_1/bug21292 Diff ] File ]
rm - tests/bugs/moddata_1/bug21858 Diff ] File ]
rm - tests/bugs/moddata_2/bug276 Diff ] File ]
rm - tests/bugs/moddata_2/bug36 Diff ] File ]
rm - tests/bugs/moddata_3/bug25487_1 Diff ] File ]
rm - tests/bugs/moddata_3/bug25487_2 Diff ] File ]
rm - tests/bugs/moddata_3/bug26339 Diff ] File ]
rm - tests/bugs/moddata_3/bug27048_2 Diff ] File ]
rm - tests/bugs/step/bug24024 Diff ] File ]
rm - tests/bugs/step/bug27570 Diff ] File ]
add - tests/perf/bop/bfuse_complex_Q3 Diff ] File ]
mod - tests/perf/bop/boxholes Diff ] File ]
add - tests/perf/bop/bsection_R6 Diff ] File ]
add - tests/perf/bop/end Diff ] File ]
add - tests/perf/caf/begin Diff ] File ]
add - tests/perf/caf/bug1454 Diff ] File ]
add - tests/perf/caf/bug1454_std Diff ] File ]
add - tests/perf/caf/bug5023 Diff ] File ]
add - tests/perf/caf/bug5023_std Diff ] File ]
add - tests/perf/de/begin Diff ] File ]
add - tests/perf/de/bug24024 Diff ] File ]
mod - tests/perf/de/bug26338_1 Diff ] File ]
mod - tests/perf/de/bug26338_2 Diff ] File ]
add - tests/perf/de/bug27570 Diff ] File ]
add - tests/perf/fclasses/bug25514 Diff ] File ]
mod - tests/perf/grids.list Diff ] File ]
add - tests/perf/heal/begin Diff ] File ]
add - tests/perf/heal/bug24596_1 Diff ] File ]
add - tests/perf/heal/bug24596_2 Diff ] File ]
add - tests/perf/heal/bug25424 Diff ] File ]
add - tests/perf/heal/bug26871 Diff ] File ]
add - tests/perf/mesh/bug24022 Diff ] File ]
add - tests/perf/mesh/bug24968_1 Diff ] File ]
add - tests/perf/mesh/bug24968_2 Diff ] File ]
add - tests/perf/mesh/parse.rules Diff ] File ]
add - tests/perf/modalg/bug19793_2 Diff ] File ]
add - tests/perf/modalg/bug23906 Diff ] File ]
add - tests/perf/modalg/bug24005 Diff ] File ]
add - tests/perf/modalg/bug24696 Diff ] File ]
add - tests/perf/modalg/bug24751_1 Diff ] File ]
add - tests/perf/modalg/bug24751_2 Diff ] File ]
add - tests/perf/modalg/bug24751_3 Diff ] File ]
add - tests/perf/modalg/bug24751_4 Diff ] File ]
add - tests/perf/modalg/bug24751_5 Diff ] File ]
add - tests/perf/modalg/bug24899 Diff ] File ]
add - tests/perf/modalg/bug25019 Diff ] File ]
add - tests/perf/modalg/bug25058 Diff ] File ]
add - tests/perf/modalg/bug25413 Diff ] File ]
add - tests/perf/modalg/bug25742_1 Diff ] File ]
add - tests/perf/modalg/bug25788 Diff ] File ]
add - tests/perf/modalg/bug26327 Diff ] File ]
add - tests/perf/modalg/bug26447 Diff ] File ]
add - tests/perf/modalg/bug26674 Diff ] File ]
add - tests/perf/modalg/bug26914 Diff ] File ]
add - tests/perf/modalg/bug27085_1 Diff ] File ]
add - tests/perf/modalg/bug27085_2 Diff ] File ]
add - tests/perf/modalg/bug27569 Diff ] File ]
add - tests/perf/modalg/bug452_1 Diff ] File ]
add - tests/perf/modalg/bug453_2 Diff ] File ]
add - tests/perf/modalg/bug83_1 Diff ] File ]
add - tests/perf/moddata/bug21292 Diff ] File ]
add - tests/perf/moddata/bug21858 Diff ] File ]
add - tests/perf/moddata/bug25487_1 Diff ] File ]
add - tests/perf/moddata/bug25487_2 Diff ] File ]
add - tests/perf/moddata/bug26339 Diff ] File ]
add - tests/perf/moddata/bug27048_2 Diff ] File ]
add - tests/perf/moddata/bug276 Diff ] File ]
add - tests/perf/moddata/bug36 Diff ] File ]
add - tests/perf/sewing/A1 Diff ] File ]
add - tests/perf/sewing/A2 Diff ] File ]
add - tests/perf/sewing/A3 Diff ] File ]
add - tests/perf/sewing/A4 Diff ] File ]
add - tests/perf/sewing/A5 Diff ] File ]
add - tests/perf/sewing/A6 Diff ] File ]
add - tests/perf/sewing/A7 Diff ] File ]
add - tests/perf/sewing/begin Diff ] File ]
add - tests/perf/sewing/end Diff ] File ]
rm - tests/sewing/fast/A1 Diff ] File ]
rm - tests/sewing/fast/A2 Diff ] File ]
rm - tests/sewing/fast/A3 Diff ] File ]
rm - tests/sewing/fast/A4 Diff ] File ]
rm - tests/sewing/fast/A5 Diff ] File ]
rm - tests/sewing/fast/A6 Diff ] File ]
rm - tests/sewing/fast/A7 Diff ] File ]
mod - tests/sewing/grids.list Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-07-19 15:29 apn New Issue
2016-07-19 15:29 apn Assigned To => apn
2016-07-19 15:36 apn Status new => assigned
2016-07-19 15:36 apn Description Updated View Revisions
2016-07-20 12:14 apn Description Updated View Revisions
2016-07-20 12:22 abv Note Added: 0056048
2016-07-28 18:12 git Note Added: 0056271
2016-07-28 18:12 git Note Added: 0056272
2016-07-28 18:22 git Note Added: 0056273
2016-08-02 11:58 git Note Added: 0056367
2016-08-03 18:42 git Note Added: 0056446
2016-08-03 18:48 apn Note Added: 0056447
2016-08-03 18:49 apn Note Edited: 0056447 View Revisions
2016-08-03 18:49 apn Test case number => Not needed
2016-08-03 18:49 apn Assigned To apn => abv
2016-08-03 18:49 apn Status assigned => resolved
2016-08-03 18:50 apn Steps to Reproduce Updated View Revisions
2016-09-23 15:29 git Note Added: 0058077
2016-11-22 10:47 kgv Target Version 7.1.0 => 7.2.0
2017-01-12 11:19 git Note Added: 0062519
2017-01-12 12:40 git Note Added: 0062525
2017-01-12 13:22 ski Note Added: 0062527
2017-01-12 17:54 git Note Added: 0062546
2017-01-16 07:11 git Note Added: 0062603
2017-01-16 21:00 git Note Added: 0062662
2017-01-17 08:30 abv Note Added: 0062670
2017-01-17 08:30 abv Assigned To abv => bugmaster
2017-01-17 08:30 abv Status resolved => reviewed
2017-01-17 16:49 apv Assigned To bugmaster => apv
2017-01-18 15:54 apv Note Added: 0062760
2017-01-18 15:54 apv Assigned To apv => bugmaster
2017-01-18 15:54 apv Status reviewed => tested
2017-01-20 16:12 apn Changeset attached => occt master 44fae8b1
2017-01-20 16:12 apn Assigned To bugmaster => apn
2017-01-20 16:12 apn Status tested => verified
2017-01-20 16:12 apn Resolution open => fixed
2017-02-08 11:35 git Note Added: 0063588
2017-02-08 11:40 git Note Added: 0063640
2017-02-08 11:40 git Note Added: 0063641
2017-07-31 17:31 msv Note Added: 0068921
2017-07-31 17:32 msv Note Added: 0068922
2017-07-31 17:32 msv Status verified => assigned
2017-08-16 15:46 abv Relationship added parent of 0029004
2017-08-16 15:46 abv Note Added: 0069463
2017-08-16 15:46 abv Status assigned => feedback
2017-08-16 15:47 abv Status feedback => tested
2017-08-16 15:47 abv Status tested => verified
2017-09-29 16:17 user533 Fixed in Version => 7.2.0
2017-09-29 16:29 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker